#include <iostream>
#include <algorithm>
#include <bits/stdc++.h>

using namespace std;

int pretraga(long long niz[], int p, int d, long long t)
{
    if (d >= p) {
        int med = p + (d - p) / 2;
        if (niz[med] == t)
            return med;
        if (niz[med] > t)
            return pretraga(niz, p, med - 1, t);
        return pretraga(niz, med + 1, d, t);
    }

    return -1;
}

long long a[200001], b[200001];
int main()
{
    int p=0, q=0, m=0,  i, pomeraj=0;
    cin>>p>>q;
    for(i=0;i<p;i++) cin>>a[i];
    for(i=0;i<q;i++) cin>>b[i];
    sort(a, a + p);
    m=(p/2);
    for(i=0;i<q;i++){
            pomeraj=0;
    int poz=pretraga(a,0,p-1,b[i]);
    if(poz==-1){
            if(b[i]>a[p-1]){poz=p; goto nastavi;}else
            if(b[i]<a[0]) poz=0;
            else if(b[i]<a[m]) for(int j=0;j<m;j++)
                if(b[i]>a[j]&&b[i]<a[j+1]) poz=j+1;
            if(b[i]>a[m]) for(int j=m;j<p;j++)
                if(b[i]>a[j]&&b[i]<a[j+1]) poz=j+1;
            if(poz>m)pomeraj=abs((poz*2)-p);
            if(poz<m)pomeraj=abs(((poz*2)-p)-1);
        }
    else {if(poz==m) goto jump;
    nastavi:
    if(poz>m)pomeraj=abs(p-(poz*2));
    if(poz<m)pomeraj=abs(p-(poz*2))-1;

    }
    jump:
    cout<<pomeraj<<endl;
}
    return 0;
}